CATMAN(8)

NOMBRE
catman - crea o actualiza las páginas de manual preformateadas

SINOPSIS
catman [-d?V] [-M ruta] [-C archivo] [sección] ...

DESCRIPCIÓN
catman se utiliza para crear un conjunto actualizado de páginas preformateadas de manual conocidas como páginas cat. Las páginas cat generalmente son mucho más rápidas de mostrar que las páginas del manual originales, pero requieren espacio de almacenamiento adicional. La decisión de utilizar páginas cat es competencia del administrador local, el cual debe proporcionar directorios adecuados para alojarlas.

Las opciones disponibles para catman son las jerarquías y secciones de páginas de manual para pre-formatear. Las jerarquías predeterminadas son aquellas especificadas en el archivo de configuración de la man-db, y las secciones predeterminadas son bien el contenido de la variable de entorno $MANSECT delimitado con dos puntos, bien el conjunto estándar compilado en man si $MANSECT está indefinida. Proporcionar catman con un conjunto de nombres de sección delimitados con espacios en blanco anula las dos variables anteriores.

catman utiliza la caché de base de datos de índices asociada con cada jerarquía para determinar qué archivos es preciso formatear.

OPCIONES

-d, --debug
    Escribe información de depuración.

-M ruta, --manpath=ruta
    Especifica una ruta de búsqueda alternativa de jerarquías de páginas de manual delimitadas por dos puntos. Lo predefinido es todas las rutas indicadas como jerarquías del sistema en el archivo de configuración de man-db.

-C archivo, --config-file=archivo
    Use this user configuration file rather than the default of ~/.manpath.

-?, --help
    Escribe un mensaje de ayuda y termina.

--usage
    Escribe mensaje breve sobre uso del programa y termina.

-V, --version
    Muestra información sobre la versión.

ENTORNO

MANSECT
    Si $MANSECT está establecida, su valor es una lista de secciones delimitadas por dos puntos y se emplea para determinar en qué secciones de manual buscar y en qué orden. Lo predeterminado es "1 n l 8 3 0 2 3type 3posix 3pm 3perl 3am 5 4 9 6 7", salvo que esté anulado por la directiva SECCIÓN en /etc/manpath.config.

MANPATH
    Si $MANPATH está establecida, su valor se interpreta como la ruta de búsqueda de jerarquía de páginas de manual delimitadas por dos puntos.

    Vea la sección RUTA DE BÚSQUEDA de manpagh(5) para conocer el comportamiento predeterminado y los detalles acerca de cómo se utiliza esta variable de entorno.

ARCHIVOS

/etc/manpath.config
    archivo de configuración de man-db.

/usr/man/index.(bt|db|dir|pag)
    Una caché de BD de indexado global tradicional.

/var/catman/index.(bt|db|dir|pag)
    Un caché de base de datos de índexado global alternativa o compatible con FSSTND.

VÉASE TAMBIÉN
man(1), manpath(5), mandb(8)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

DEFECTOS
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db